Bug 1697662 - /etc/httpd/state: broken symbolic link to ../../var/lib/httpd/state (supplied by httpd-2.4.39-2.fc29.x86_64)
Summary: /etc/httpd/state: broken symbolic link to ../../var/lib/httpd/state (supplied...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luboš Uhliarik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 23:11 UTC by John Dodson
Modified: 2019-05-09 03:17 UTC (History)
5 users (show)

Fixed In Version: httpd-2.4.39-3.fc29 httpd-2.4.39-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:26:14 UTC
Type: Bug


Attachments (Terms of Use)

Description John Dodson 2019-04-08 23:11:48 UTC
Description of problem:
In my checks for broken symlinks,
/etc/httpd/state: broken symbolic link to ../../var/lib/httpd/state
httpd-2.4.39-2.fc29.x86_64

Version-Release number of selected component (if applicable):

httpd-2.4.39-2.fc29.x86_64

How reproducible:
On recent update of above package on a system with httpd not running but installed.

Steps to Reproduce:
1. file /etc/httpd/state
2.
3.

Actual results:
/etc/httpd/state: broken symbolic link to ../../var/lib/httpd/state

Expected results:
No broken symlink

Additional info:

If the symlink must be created (broken) by the installation of httpd
then the file ../../var/lib/httpd/state needs to also be created perhaps
containing the text "Virgin Installation of httpd - this file will eventually contain the status of the running server if it's ever turned on" but should
never be the target of a broken symlink.

Comment 1 Joe Orton 2019-04-09 07:22:50 UTC
Is it actually broken or is it just not readable to non-root users?

sudo file /etc/httpd/state

Comment 2 John Dodson 2019-04-09 12:06:15 UTC
It is broken.

Comment 3 John Dodson 2019-04-15 22:05:36 UTC
Still broken.

Comment 4 Joe Orton 2019-04-16 15:39:33 UTC
Package: httpd-2.4.39-3.fc31

Comment 5 John Dodson 2019-04-16 23:47:29 UTC
Thanks - but that's "a long way off" (ref: https://en.wikipedia.org/wiki/Fedora_version_history)
& will annoy me every day till then, sadly, as it will be reported as a broken link that needs
attention.

But at least it is a real bug that wasn't just a "user issue"?

What does the target contain in httpd-2.4.39-3.fc31 so I can create it appropriately now?

Comment 6 Joe Orton 2019-04-17 07:17:38 UTC
If you are a little bit patient, we'll get this to f29 as well.  I've switched the target to /var/lib/httpd.

Comment 7 Joe Orton 2019-04-17 07:52:26 UTC
Package: httpd-2.4.39-3.fc30

Comment 8 Joe Orton 2019-04-17 09:05:16 UTC
Package: httpd-2.4.39-3.fc29

Comment 9 Fedora Update System 2019-04-17 09:18:43 UTC
httpd-2.4.39-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-419873d0ae

Comment 10 Fedora Update System 2019-04-17 09:18:49 UTC
httpd-2.4.39-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-52487848d6

Comment 11 John Dodson 2019-04-17 13:56:24 UTC
Thanks - greatly appreciated.

Comment 12 Fedora Update System 2019-04-17 14:24:15 UTC
httpd-2.4.39-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-419873d0ae

Comment 13 Fedora Update System 2019-04-18 22:13:09 UTC
httpd-2.4.39-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-52487848d6

Comment 14 Fedora Update System 2019-04-27 21:26:14 UTC
httpd-2.4.39-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-09 03:17:27 UTC
httpd-2.4.39-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.